Bug 807350 - Review Request: seahorse-nautilus - PGP encryption and signing for nautilus
Review Request: seahorse-nautilus - PGP encryption and signing for nautilus
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 11:08 EDT by Rui Matos
Modified: 2012-04-11 22:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-font-viewer-3.4.0-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rui Matos 2012-03-27 11:08:26 EDT
Spec URL: http://glua.ua.pt/~rmatos/seahorse-nautilus.spec
SRPM URL: http://glua.ua.pt/~rmatos/seahorse-nautilus-3.4.0-1.fc17.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=3936783

This was split from seahorse-plugins upstream. Please review, thanks.
Comment 1 Kalev Lember 2012-03-28 13:35:01 EDT
Taking for review.
Comment 2 Kalev Lember 2012-03-28 14:01:01 EDT
Fedora review seahorse-nautilus-3.4.0-1.fc17.src.rpm 2012-03-28

+ OK
! needs attention

rpmlint output:
$ rpmlint seahorse-nautilus \
          seahorse-nautilus-debuginfo-3.4.0-1.fc17.x86_64.rpm \
          seahorse-nautilus-3.4.0-1.fc17.src.rpm
seahorse-nautilus.x86_64: W: obsolete-not-provided seahorse-plugins
seahorse-nautilus.x86_64: E: incorrect-fsf-address /usr/share/doc/seahorse-nautilus-3.4.0/COPYING
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-gconf.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-widget.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-gconf.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-pgp-operation.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-libdialogs.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-widget.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-vfs-data.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-vfs-data.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-pgp-operation.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-util.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-util.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-secure-memory.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-tool-files.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-progress.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-tool-progress.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-progress.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-operation.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-tool.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-notification.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-tool.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-passphrase.c
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-secure-memory.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-secure-buffer.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-operation.h
seahorse-nautilus-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/seahorse-nautilus-3.4.0/tool/seahorse-secure-buffer.c
3 packages and 0 specfiles checked; 26 errors, 1 warnings.

+ Rpmlint warnings/errors are harmless and can be ignored
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  8a5d023d7a8275c9603fa11c703dbfab  seahorse-nautilus-3.4.0.tar.xz
  8a5d023d7a8275c9603fa11c703dbfab  Download/seahorse-nautilus-3.4.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
! Package MUST own all the directories it creates

  /usr/share/seahorse-nautilus is missing from %files.

+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Issues
------
The only review blocker here is the directory ownership issue: /usr/share/seahorse-nautilus isn't listed in %files, so when the package is removed, this directory will be left behind.

Right now the spec file has this:
%dir %{_datadir}/seahorse-nautilus/ui
%{_datadir}/seahorse-nautilus/ui/*.xml

I would suggest replacing those two lines with just:
%{_datadir}/seahorse-nautilus/

That way, the directory and all its contents is recursively included in the RPM.


> %{_mandir}/man1/seahorse-tool.1.gz
One small nitpick (not a blocker) is that it is better to use a glob instead of .gz when listing man pages. The man pages are compressed by rpmbuild and the compression format is subject to change; if you use a glob, then it will keep working even when rpm switches to, lets say, .xz compression.

I would use the following:
%{_mandir}/man1/seahorse-tool.1*
Comment 3 Kalev Lember 2012-03-28 19:47:30 EDT
One more directory ownership issue:

> %dir %{_libdir}/nautilus/extensions-3.0

This directory is owned by nautilus and shouldn't be listed in the %files section of seahorse-nautilus.
Comment 5 Kalev Lember 2012-03-29 11:03:06 EDT
Looks good.

APPROVED
Comment 6 Rui Matos 2012-03-29 11:29:32 EDT
New Package SCM Request
=======================
Package Name: seahorse-nautilus
Short Description: PGP encryption and signing for nautilus
Owners: rtcm
Branches: f17
InitialCC:
Comment 7 Jon Ciesla 2012-03-29 11:37:20 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-03-29 12:00:16 EDT
gnome-font-viewer-3.4.0-3.fc17,seahorse-nautilus-3.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-font-viewer-3.4.0-3.fc17,seahorse-nautilus-3.4.0-2.fc17
Comment 9 Fedora Update System 2012-03-29 23:00:01 EDT
gnome-font-viewer-3.4.0-3.fc17, seahorse-nautilus-3.4.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-11 22:07:48 EDT
gnome-font-viewer-3.4.0-3.fc17, seahorse-nautilus-3.4.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.